Package com.ocient.jdbc

# Class XGDate

java.lang.Object
java.util.Date
java.sql.Date
com.ocient.jdbc.XGDate

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Date>`

    public class XGDate
    extends Date

See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`XGDate​(int year, int month, int day)` | Deprecated.
`XGDate​(long date)` |
`XGDate​(XGTimestamp ts)` |
`XGDate​(Date date)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` |
`static Date` | `from​(Instant instant)` |
`int` | `getDate()` | Deprecated.
`int` | `getDay()` | Deprecated.
`int` | `getMonth()` | Deprecated.
`int` | `getTimezoneOffset()` | Deprecated.
`int` | `getYear()` | Deprecated.
`static long` | `parse​(String s)` | Deprecated.
`void` | `setDate​(int date)` | Deprecated.
`void` | `setMonth​(int month)` | Deprecated.
`void` | `setYear​(int year)` | Deprecated.
`String` | `toGMTString()` | Deprecated.
`Instant` | `toInstant()` |
`LocalDate` | `toLocalDate()` |
`String` | `toLocaleString()` | Deprecated.
`String` | `toString()` |
`static long` | `UTC​(int year, int month, int date, int hrs, int min, int sec)` | Deprecated.
`static Date` | `valueOf​(String s)` |
`static Date` | `valueOf​(LocalDate date)` |

### Methods inherited from class java.sql.Date

`getHours, getMinutes, getSeconds, setHours, setMinutes, setSeconds, setTime`

### Methods inherited from class java.util.Date

`after, before, clone, compareTo, getTime, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XGDate

@Deprecated public XGDate​(int year, int month, int day)
Deprecated.

### XGDate

public XGDate​(long date)

### XGDate

public XGDate​(Date date)

### XGDate

public XGDate​(XGTimestamp ts)

## Method Details

### valueOf

public static Date valueOf​(String s)

### valueOf

public static Date valueOf​(LocalDate date)

### toString

public String toString()

Overrides:
  `toString` in class `Date`

### toLocalDate

public LocalDate toLocalDate()

Overrides:
  `toLocalDate` in class `Date`

### toInstant

public Instant toInstant() throws UnsupportedOperationException

Overrides:
  `toInstant` in class `Date`
Throws:
  `UnsupportedOperationException`

### UTC

@Deprecated public static long UTC​(int year, int month, int date, int hrs, int min, int sec)
Deprecated.

### parse

@Deprecated public static long parse​(String s)
Deprecated.

### getYear

@Deprecated public int getYear()
Deprecated.

Overrides:
  `getYear` in class `Date`

### setYear

@Deprecated public void setYear​(int year)
Deprecated.

Overrides:
  `setYear` in class `Date`

### getMonth

@Deprecated public int getMonth()
Deprecated.

Overrides:
  `getMonth` in class `Date`

### setMonth

@Deprecated public void setMonth​(int month)
Deprecated.

Overrides:
  `setMonth` in class `Date`

### getDate

@Deprecated public int getDate()
Deprecated.

Overrides:
  `getDate` in class `Date`

### setDate

@Deprecated public void setDate​(int date)
Deprecated.

Overrides:
  `setDate` in class `Date`

### getDay

@Deprecated public int getDay()
Deprecated.

Overrides:
  `getDay` in class `Date`

### equals

public boolean equals​(Object obj)

Overrides:
  `equals` in class `Date`

### toLocaleString

@Deprecated public String toLocaleString()
Deprecated.

Overrides:
  `toLocaleString` in class `Date`

### toGMTString

@Deprecated public String toGMTString()
Deprecated.

Overrides:
  `toGMTString` in class `Date`

### getTimezoneOffset

@Deprecated public int getTimezoneOffset()
Deprecated.

Overrides:
  `getTimezoneOffset` in class `Date`

### from

public static Date from​(Instant instant)